### Function

# GLibUnix Pipe open

since: 2.80

#### Declaration [src]

    gboolean
    g_unix_pipe_open (
      GUnixPipe* self,
      int flags,
      GError** error
    )

#### Description [src]

Open a pipe. This is the same as g_unix_open_pipe(), but uses the `GUnixPipe` data structure.

Available since: 2.80

This function is not directly available to language bindings.

#### Parameters

`self`

  Type: `GUnixPipe`

  A pair of file descriptors.

  The data is owned by the caller of the function.

`flags`

  Type: `int`

  Flags to pass to g_unix_open_pipe(), typically `O_CLOEXEC`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.